LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Enumerations | Functions
Type.h File Reference
`#include <typelib/typedescription.h>`
`#include <com/sun/star/uno/TypeClass.hdl>`
`#include <cppu/macros.hxx>`
`#include <rtl/ustring.hxx>`
`#include <rtl/alloc.h>`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::Type
| C++ class representing an IDL meta type. More...
class | com::sun::star::uno::Array< T >
| Helper class to specify a type pointer for idl arrays. More...

## Namespaces
| com
| com::sun
| com::sun::star
| com::sun::star::uno

## Enumerations
enum | com::sun::star::uno::UnoType_NoAcquire { com::sun::star::uno::UNO_TYPE_NO_ACQUIRE }
| Enum defining UNO_TYPE_NO_ACQUIRE for type description reference transfer. More...

## Functions
const ::com::sun::star::uno::Type & | getCppuType (const ::com::sun::star::uno::Type *) SAL_THROW(())
| Gets the meta type of IDL type "type". More...
const ::com::sun::star::uno::Type & | getCppuVoidType () SAL_THROW(())
| Gets the meta type of IDL type void. More...
const ::com::sun::star::uno::Type & | getVoidCppuType () SAL_THROW(())
| Gets the meta type of IDL type void. More...
const ::com::sun::star::uno::Type & | getCppuBooleanType () SAL_THROW(())
| Gets the meta type of IDL type boolean. More...
const ::com::sun::star::uno::Type & | getBooleanCppuType () SAL_THROW(())
| Gets the meta type of IDL type boolean. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_Bool *) SAL_THROW(())
| Gets the meta type of IDL type boolean. More...
const ::com::sun::star::uno::Type & | getCppuType (bool const *) SAL_THROW(())
| Gets the meta type of IDL type boolean. More...
const ::com::sun::star::uno::Type & | getCharCppuType () SAL_THROW(())
| Gets the meta type of IDL type char. More...
const ::com::sun::star::uno::Type & | getCppuCharType () SAL_THROW(())
| Gets the meta type of IDL type char. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int8 *) SAL_THROW(())
| Gets the meta type of IDL type byte. More...
const ::com::sun::star::uno::Type & | getCppuType (const ::rtl::OUString *) SAL_THROW(())
| Gets the meta type of IDL type string. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int16 *) SAL_THROW(())
| Gets the meta type of IDL type short. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_uInt16 *) SAL_THROW(())
| Gets the meta type of IDL type unsigned short. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int32 *) SAL_THROW(())
| Gets the meta type of IDL type long. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_uInt32 *) SAL_THROW(())
| Gets the meta type of IDL type unsigned long. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_Int64 *) SAL_THROW(())
| Gets the meta type of IDL type hyper. More...
const ::com::sun::star::uno::Type & | getCppuType (const sal_uInt64 *) SAL_THROW(())
| Gets the meta type of IDL type unsigned hyper. More...
const ::com::sun::star::uno::Type & | getCppuType (const float *) SAL_THROW(())
| Gets the meta type of IDL type float. More...
const ::com::sun::star::uno::Type & | getCppuType (const double *) SAL_THROW(())
| Gets the meta type of IDL type double. More...
template<typename T >
const ::com::sun::star::uno::Type & | getCppuType () SAL_THROW(())
| Gets the meta type of an IDL type. More...
template<>
const ::com::sun::star::uno::Type & | getCppuType< sal_Unicode > () SAL_THROW(())
| Gets the meta type of IDL type char. More...

## Function Documentation

const ::com::sun::star::uno::Type& getBooleanCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type boolean.

Returns
  type of IDL type boolean

const ::com::sun::star::uno::Type& getCharCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

const ::com::sun::star::uno::Type& getCppuBooleanType | ( |  | ) |
| inline

Gets the meta type of IDL type boolean.

Returns
  type of IDL type boolean

const ::com::sun::star::uno::Type& getCppuCharType | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

const ::com::sun::star::uno::Type& getCppuType | ( | const ::com::sun::star::uno::Type * |  | ) |
| inline

Gets the meta type of IDL type "type".

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type "type"

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_Bool * |  | ) |
| inline

Gets the meta type of IDL type boolean.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type boolean

const ::com::sun::star::uno::Type& getCppuType | ( | bool const * |  | ) |
| inline

Gets the meta type of IDL type boolean.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type boolean

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_Int8 * |  | ) |
| inline

Gets the meta type of IDL type byte.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type byte

const ::com::sun::star::uno::Type& getCppuType | ( | const ::rtl::OUString * |  | ) |
| inline

Gets the meta type of IDL type string.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type string

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_Int16 * |  | ) |
| inline

Gets the meta type of IDL type short.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type short

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_uInt16 * |  | ) |
| inline

Gets the meta type of IDL type unsigned short.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type unsigned short

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_Int32 * |  | ) |
| inline

Gets the meta type of IDL type long.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type long

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_uInt32 * |  | ) |
| inline

Gets the meta type of IDL type unsigned long.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type unsigned long

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_Int64 * |  | ) |
| inline

Gets the meta type of IDL type hyper.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type hyper

const ::com::sun::star::uno::Type& getCppuType | ( | const sal_uInt64 * |  | ) |
| inline

Gets the meta type of IDL type unsigned hyper.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type unsigned hyper

const ::com::sun::star::uno::Type& getCppuType | ( | const float * |  | ) |
| inline

Gets the meta type of IDL type float.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type float

const ::com::sun::star::uno::Type& getCppuType | ( | const double * |  | ) |
| inline

Gets the meta type of IDL type double.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type double

template<typename T >

const ::com::sun::star::uno::Type& getCppuType | ( |  | ) |
| inline

Gets the meta type of an IDL type.

The difference between this function template (with a type parameter) and the overloaded getCppuType function with a single (dummy) parameter of a specific type is that this function template may not work for the UNO type "unsigned short" (sal_uInt16 in C++), while the overloaded one-parameter function may not work for the UNO type "char" (sal_Unicode in C++, which may have the same underlying C++ type as sal_uInt16 on certain platforms).

Returns
  type of the given IDL type

Deprecated:
  Use cppu::UnoType instead (or the internal-only cppu::getTypeFavourChar). Also note that getCppuType< com::sun::star::uno::Sequence< sal_Unicode > >() does not work as expected.

Since
  UDK 3.2.0

template<>

const ::com::sun::star::uno::Type& getCppuType< sal_Unicode > | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

Deprecated:
  Use cppu::UnoType instead (or the internal-only cppu::getTypeFavourChar). Also note that getCppuType< com::sun::star::uno::Sequence< sal_Unicode > >() does not work as expected.

Since
  UDK 3.2.0

const ::com::sun::star::uno::Type& getCppuVoidType | ( |  | ) |
| inline

Gets the meta type of IDL type void.

Returns
  type of IDL type void

const ::com::sun::star::uno::Type& getVoidCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type void.

Returns
  type of IDL type void